/****************************************************/
/* table.c - program to generate a sinewave table   */
/*                                                  */
/* The table consist of the 1024 entries between 0  */
/* and 127.  Each entry is preceded by " DC.B" for  */
/* inclusion in a 68000 source program              */
/****************************************************/

#include <stdio.h>
#include <math.h>

#define PI   3.1415927
#define MAX  1024
#define BYTE 255

main()
{
   FILE *fp, *fopen();
   double x, y;

   if((fp = fopen("sine_table.src", "w")) == NULL) {
      printf("can't open %s\n", "sine_table.src");
   }
   for(x = 0; x < MAX; ++x) {
      y = ((sin((x / MAX) * (2 * PI)) + 1) / 2) * BYTE;
      fprintf(fp," DC.B %3d\n", (int)y);
   }
}
